aboutsummaryrefslogtreecommitdiff
path: root/libstdc++-v3/scripts/check_compile
diff options
context:
space:
mode:
authorBenjamin Kosnik <bkoz@redhat.com>2005-01-20 20:28:41 +0000
committerBenjamin Kosnik <bkoz@gcc.gnu.org>2005-01-20 20:28:41 +0000
commit45d5f9afede9aa8a4490b1854bc2a2b8fe3f7952 (patch)
tree98b8d370471b34da8a360184d5aaad62538f83fc /libstdc++-v3/scripts/check_compile
parent3c46c513c2008d845cf09642aef08b78b1d2f226 (diff)
downloadgcc-45d5f9afede9aa8a4490b1854bc2a2b8fe3f7952.zip
gcc-45d5f9afede9aa8a4490b1854bc2a2b8fe3f7952.tar.gz
gcc-45d5f9afede9aa8a4490b1854bc2a2b8fe3f7952.tar.bz2
Makefile.am (check-compile): New.
2005-01-20 Benjamin Kosnik <bkoz@redhat.com> * testsuite/Makefile.am (check-compile): New. * testsuite/Makefile.in: Regenerate. * scripts/check_compile_time: New. * scripts/check_performance: Tweaks. From-SVN: r93980
Diffstat (limited to 'libstdc++-v3/scripts/check_compile')
-rwxr-xr-xlibstdc++-v3/scripts/check_compile49
1 files changed, 49 insertions, 0 deletions
diff --git a/libstdc++-v3/scripts/check_compile b/libstdc++-v3/scripts/check_compile
new file mode 100755
index 0000000..e27cc33
--- /dev/null
+++ b/libstdc++-v3/scripts/check_compile
@@ -0,0 +1,49 @@
+#!/usr/bin/env bash
+
+# Script to do performance testing.
+
+# Invocation
+# check_performance SRC_DIR BUILD_DIR
+
+# 1: variables
+#
+SRC_DIR=$1
+BUILD_DIR=$2
+
+# Now that we've successfully translated the numerical option into
+# a symbolic one, we can safely ignore it.
+shift
+
+# This has been true all along. Found out about it the hard way...
+case $BASH_VERSION in
+ 1*)
+ echo 'You need bash 2.x to run check_performance. Exiting.';
+ exit 1 ;;
+ *) ;;
+esac
+
+flags_script=$BUILD_DIR/scripts/testsuite_flags
+INCLUDES=`$flags_script --build-includes`
+PCH_FLAGS=`$flags_script --cxxpchflags`
+FLAGS=`$flags_script --cxxflags`
+TEST_FLAGS="-S"
+COMPILER=`$flags_script --build-cxx`
+CXX="$COMPILER $INCLUDES $PCH_FLAGS $FLAGS $TEST_FLAGS"
+
+TESTS_FILE="testsuite_files"
+
+for NAME in `cat $TESTS_FILE`
+do
+ if $RUN; then
+ echo $NAME
+ FILE_NAME="`basename $NAME`"
+ OUTPUT_NAME="`echo $FILE_NAME | sed 's/cc$/s/'`"
+ $CXX $SRC_DIR/testsuite/$NAME -o $OUTPUT_NAME
+ if [ -f $OUTPUT_NAME ]; then
+ rm $OUTPUT_NAME
+ fi
+ echo ""
+ fi
+done
+
+exit 0